> For the complete documentation index, see [llms.txt](https://zeko.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://zeko.gitbook.io/docs/zekoai-api-docs/api-reference/ai-interview/update-interview.md).

# Update Interview

## Update Interview

> Update an interview.

```json
{"openapi":"3.0.3","info":{"title":"ZekoAI Interview APIs","version":"1.0.0"},"servers":[{"url":"https://interview-api.zeko.ai","description":"Production Server"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"UpdateInterviewRequest":{"type":"object","properties":{"interviewName":{"type":"string"},"roleName":{"type":"string"},"minExperience":{"type":"integer"},"maxExperience":{"type":"integer"},"metaData":{"type":"object"},"competencyData":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"explanation":{"type":"string"},"questionCount":{"type":"integer"},"time":{"type":"integer"},"difficulty":{"type":"string","enum":["easy","medium","hard"]},"questionType":{"type":"string","enum":["scenario_based","theoretical","experiential"]}},"required":["name","explanation","questionCount","time","difficulty","questionType"]}},"published":{"type":"boolean"}}},"UpdateInterviewResponse":{"allOf":[{"$ref":"#/components/schemas/SuccessWrapper"},{"type":"object","properties":{"message":{"type":"string"},"data":{"type":"object","properties":{"interviewId":{"type":"string"},"roleName":{"type":"string"},"slug":{"type":"string"},"isPublished":{"type":"boolean"},"metaData":{"type":"object"},"competencyData":{"type":"array","items":{"type":"object","properties":{"competency":{"type":"string"},"explanation":{"type":"string"},"questionCount":{"type":"integer"},"time":{"type":"integer"},"difficulty":{"type":"string"},"questionType":{"type":"string"},"category":{"type":"string"},"sampleQuestions":{"type":"array","items":{"type":"string"}}}}}}}}}]},"SuccessWrapper":{"type":"object","properties":{"message":{"type":"string"},"success":{"type":"boolean"},"data":{"type":"object","description":"Actual response data object"}}},"ErrorWrapper":{"type":"object","properties":{"message":{"type":"string"},"success":{"type":"boolean"},"error":{"nullable":true,"description":"Error details: Error Message"}},"required":["message","success","error"]},"ValidationErrorWrapper2":{"type":"object","properties":{"message":{"type":"string"},"success":{"type":"boolean"},"error":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string"},"message":{"type":"string"}}}}},"required":["message","success","error"]}}},"paths":{"/api/v1/interview/{id}/update-interview":{"patch":{"tags":["Interview"],"summary":"Update Interview","description":"Update an interview.","operationId":"updateInterview","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"},"description":"Interview ID of the interview to be updated"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateInterviewRequest"}}}},"responses":{"200":{"description":"Interview updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateInterviewResponse"}}}},"401":{"description":"Missing or invalid Authorization header","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorWrapper"}}}},"422":{"description":"Input Validation failed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationErrorWrapper2"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorWrapper"}}}}}}}}}
```
